INTERFACE
SUBROUTINE CAVTAX(KPROMA,KNBPT,KTASK,PUT,PVT,PTT,PSFLN,&
 & PGNORDL,PGNORDM,PGM,PGELAT,PGELAM,PRCORI,&
 & PCAGUE,PESIG,PSGPHI) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE YOMDIM , ONLY : NFLEVG
INTEGER(KIND=JPIM),INTENT(IN) :: KPROMA
INTEGER(KIND=JPIM),INTENT(IN) :: KNBPT
INTEGER(KIND=JPIM),INTENT(IN) :: KTASK
REAL(KIND=JPRB) ,INTENT(INOUT) :: PUT(KPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PVT(KPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTT(KPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PSFLN(KNBPT,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PGNORDL(KNBPT)
REAL(KIND=JPRB) ,INTENT(IN) :: PGNORDM(KNBPT)
REAL(KIND=JPRB) ,INTENT(IN) :: PGM(KNBPT)
REAL(KIND=JPRB) ,INTENT(IN) :: PGELAT(KNBPT)
REAL(KIND=JPRB) ,INTENT(IN) :: PGELAM(KNBPT)
REAL(KIND=JPRB) ,INTENT(IN) :: PRCORI(KNBPT)
REAL(KIND=JPRB) ,INTENT(IN) :: PCAGUE(2,KNBPT)
REAL(KIND=JPRB) ,INTENT(IN) :: PESIG(2*NFLEVG+5,KNBPT)
REAL(KIND=JPRB) ,INTENT(OUT) :: PSGPHI(NFLEVG,KNBPT)
END SUBROUTINE CAVTAX
END INTERFACE
